%define name	libtiff
%define	version	3.8.2
%define	picver	3.8.0

%define lib_version	3.8.2
%define lib_major	3
%define lib_name_orig	%mklibname tiff
%define lib_name	%{lib_name_orig}%{lib_major}

Summary:	A library of functions for manipulating TIFF format image files
Name:		%{name}
Version:	%{version}
Release:	%mkrel 12
License:	BSD-like
Group:		System/Libraries
URL:		http://www.libtiff.org/
Source0:	ftp://ftp.remotesensing.org/pub/libtiff/tiff-%{version}.tar.bz2
Source1:	ftp://ftp.remotesensing.org/pub/libtiff/pics-%{picver}.tar.bz2
Patch0:		tiffsplit-overflow.patch
Patch1:		tiff.tiff2pdf-octal-printf.patch
Patch2:		tiff-3.8.2-goo-sec.diff
Patch3:		libtiff-3.8.2-lzw-bugs.patch
BuildRequires:	libjpeg-devel
BuildRequires:	zlib-devel
BuildRequires:	chrpath
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%package	progs
Summary:	Binaries needed to manipulate TIFF format image files
Group:		Graphics
Requires:	%{lib_name} = %{version}
Obsoletes:	libtiff3-progs
Provides:	libtiff3-progs = %{version}-%{release}

%description	progs
This package provides binaries needed to manipulate TIFF format image files.

%package -n	%{lib_name}
Summary:	A library of functions for manipulating TIFF format image files
Group:		System/Libraries
Obsoletes:	%{name}
Provides:	%{name} = %{version}-%{release}

%description -n	%{lib_name}
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%package -n	%{lib_name}-devel
Summary:	Development tools for programs which will use the libtiff library
Group:		Development/C
Requires:	%{lib_name} = %{version}
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	tiff-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
This package contains the header files and .so libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

%package -n	%{lib_name}-static-devel
Summary:	Static libraries for programs which will use the libtiff library
Group:		Development/C
Requires:	%{lib_name}-devel = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	tiff-static-devel = %{version}-%{release}

%description -n	%{lib_name}-static-devel
This package contains the static libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

%prep

%setup -q -n tiff-%{version} -a 1
ln -s pics-* pics
%patch0 -p1 -b .cve-2006-2656
%patch1 -p1 -b .cve-2006-2193
%patch2 -p1 -b .cve-2006-3459-thru-3465
%patch3 -p1 -b .cve-2008-2327

%build
find . -type 'd' -name 'CVS' | xargs rm -fr
%{?__cputoolize: %{__cputoolize}}
./configure \
	--with-GCOPTS="$RPM_OPT_FLAGS" \
	--prefix=%{_prefix} \
	--exec-prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--sysconfdir=%{_sysconfdir} \
	--datadir=%{_datadir} \
	--includedir=%{_includedir} \
        --libdir=%{_libdir} \
        --libexecdir=%{_libdir} \
        --localstatedir=%{_localstatedir}/lib \
        --mandir=%{_mandir} \
        --infodir=%{_infodir}

%make

make test

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/{%{_bindir},%{_datadir}}

%makeinstall

install -m0644 libtiff/tiffiop.h %{buildroot}%{_includedir}/
install -m0644 libtiff/tif_dir.h %{buildroot}%{_includedir}/

# let %doc handle this
rm -fr %{buildroot}%{_docdir}/tiff-%{version}

# multiarch policy
%multiarch_includes %{buildroot}%{_includedir}/tiffconf.h

# rpmlint
chrpath -d %{buildroot}%{_bindir}/*
chrpath -d %{buildroot}%{_libdir}/libtiffxx.so.%{version}

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files progs
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root,755)
%doc COPYRIGHT README TODO VERSION html
%{_includedir}/*.h*
%{multiarch_includedir}/tiffconf.h
%{_libdir}/*.la
%{_libdir}/*.so
%{_mandir}/man3/*

%files -n %{lib_name}-static-devel
%defattr(-,root,root,-)
%doc COPYRIGHT README TODO VERSION
%{_libdir}/*.a




%changelog
* Fri Sep 05 2008 Oden Eriksson <oeriksson@mandriva.com> 3.8.2-12mdv2009.0
+ Revision: 281203
- P3: security fix for CVE-2008-2327

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.8.2-11mdv2009.0
+ Revision: 223011
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 3.8.2-10mdv2008.1
+ Revision: 178953
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 3.8.2-8mdv2007.0
+ Revision: 74790
- rebuild
- bzip2 cleanup
- rebuild
- bunzip patches
- Import libtiff

* Thu Sep 07 2006 Stew Benedict <sbenedict@mandriva.com> 3.8.2-5mdv2007.0
- fix %%files in -devel so we don't provide %%{multiarch_includedir}

* Wed Aug 02 2006 Stew Benedict <sbenedict@mandriva.com> 3.8.2-4mdv2007.0
- P2: security fix for CVE-2006-3459-thru-3465 
- rpmlint

* Fri Jun 16 2006 Stew Benedict <sbenedict@mandriva.com> 3.8.2-3mdv2007.0
- P1: security fix for CVE-2006-2193

* Wed Jun 07 2006 Stew Benedict <sbenedict@mandriva.com> 3.8.2-2mdv2007.0
- P0: security fix for CVE-2006-2656

* Wed Apr 19 2006 Stew Benedict <sbenedict@mandriva.com> 3.8.2-1mdk
- 3.8.2

* Thu Mar 16 2006 Olivier Blin <oblin@mandriva.com> 3.6.1-14mdk
- from Vincent Danen: security fix for CVE-2005-1544 (P105)

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.6.1-13mdk
- Rebuild

* Fri Aug 19 2005 Olivier Blin <oblin@mandriva.com> 3.6.1-12mdk
- from Stew Benedict: security update for CAN-2005-2452 (P104)

* Wed Mar 23 2005 Olivier Blin <oblin@mandrakesoft.com> 3.6.1-11mdk
- Patch8: fix man page about tiffsplit filename range (CVS, #12071)

* Tue Mar 22 2005 Olivier Blin <oblin@mandrakesoft.com> 3.6.1-10mdk
- update Patch103: do not abort if an unknown tag is found (#13125)

* Thu Mar 10 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.6.1-9mdk
- build fix: do not pass cflags to make

* Mon Feb 28 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.6.1-8mdk
- cross-endian multiarch fixes

* Tue Jan 25 2005 Frederic Lepied <flepied@mandrakesoft.com> 3.6.1-7mdk
- parallel build
- really fix MDKSA-2005:001

* Tue Jan 25 2005 Michael Scherer <misc@mandrake.org> 3.6.1-6mdk
- security fix ( patch #102 )

* Wed Oct 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.6.1-5mdk
- added security fixes for buffer and integer overflows (P100 & P101)

* Fri Oct 08 2004 Olivier Blin <blino@mandrake.org> 3.6.1-4mdk
- fix Hylafax decoding, see :
  http://bugs.hylafax.org/bugzilla/show_bug.cgi?id=500

* Mon Sep 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.6.1-3mdk
- add missing headers
- misc spec file fixes

* Fri May 28 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.6.1-2mdk
- Merge back changes I clobbered
- rediff P0,P1,P4

* Sat May 15 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.6.1-1mdk
- 3.6.1

